%global sover 1
%global proj_name socket.io
%global lib_name client-cpp

Name:           sioclient-cpp
Version:        3.1.0
Release:        1%{?dist}
Summary:        Library that enables low-latency, bidirectional and event-based communication between a client and a server. 

License:        MIT
URL:            https://socket.io
Source0:        https://github.com/socketio/%{proj_name}-%{lib_name}/archive/%{version}/%{proj_name}-%{lib_name}-%{version}.tar.gz

BuildRequires:  cmake gcc-c++
BuildRequires:  asio-devel
BuildRequires:  openssl-devel
BuildRequires:  rapidjson-devel
BuildRequires:  websocketpp-devel

%description
%{summary}


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%autosetup -n %{proj_name}-%{lib_name}-%{version}


%build
%cmake -DUSE_SUBMODULES=OFF -DBUILD_SHARED_LIBS=ON
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc API.md CHANGELOG.md README.md
%{_includedir}/sio*
%{_libdir}/libsioclient.so.%{sover}*
%{_libdir}/libsioclient_tls.so.%{sover}*

%files devel
%{_libdir}/libsioclient.so
%{_libdir}/libsioclient_tls.so


%changelog
* Sun Aug 06 2023 Richard Shaw <hobbes1069@gmail.com> - 3.1.0-1
- Initial packaging.
